environment:
  matrix:
    # - PYTHON: "C:\\Python26"
    #   PYTHON_VERSION: "2.6"
    #   RUN: "%PYTHON%\\python"
    #   PIP: "%PYTHON%\\Scripts\\pip"
    #   COV: "%PYTHON%\\Scripts\\coverage"

    - PYTHON: "C:\\Python27"
      PYTHON_VERSION: "2.7"
      RUN: "%PYTHON%\\python"
      PIP: "%PYTHON%\\Scripts\\pip"
      COV: "%PYTHON%\\Scripts\\coverage"

    - PYTHON: "C:\\Python27-x64"
      PYTHON_VERSION: "2.7"
      RUN: "%PYTHON%\\python"
      PIP: "%PYTHON%\\Scripts\\pip"
      COV: "%PYTHON%\\Scripts\\coverage"

    - PYTHON: "C:\\Python33"
      PYTHON_VERSION: "3.3"
      RUN: "%PYTHON%\\python"
      PIP: "%PYTHON%\\Scripts\\pip"
      COV: "%PYTHON%\\Scripts\\coverage"

    - PYTHON: "C:\\Python33-x64"
      PYTHON_VERSION: "3.3"
      RUN: "%PYTHON%\\python"
      PIP: "%PYTHON%\\Scripts\\pip"
      COV: "%PYTHON%\\Scripts\\coverage"

    - PYTHON: "C:\\Python34"
      PYTHON_VERSION: "3.4"
      RUN: "%PYTHON%\\python"
      PIP: "%PYTHON%\\Scripts\\pip"
      COV: "%PYTHON%\\Scripts\\coverage"

    - PYTHON: "C:\\Python34-x64"
      PYTHON_VERSION: "3.4"
      RUN: "%PYTHON%\\python"
      PIP: "%PYTHON%\\Scripts\\pip"
      COV: "%PYTHON%\\Scripts\\coverage"

    - PYTHON: "C:\\Python35"
      PYTHON_VERSION: "3.5"
      RUN: "%PYTHON%\\python"
      PIP: "%PYTHON%\\Scripts\\pip"
      COV: "%PYTHON%\\Scripts\\coverage"

    - PYTHON: "C:\\Python35-x64"
      PYTHON_VERSION: "3.5"
      RUN: "%PYTHON%\\python"
      PIP: "%PYTHON%\\Scripts\\pip"
      COV: "%PYTHON%\\Scripts\\coverage"

    - PYTHON: "C:\\Python36"
      PYTHON_VERSION: "3.6"
      RUN: "%PYTHON%\\python"
      PIP: "%PYTHON%\\Scripts\\pip"
      COV: "%PYTHON%\\Scripts\\coverage"

    - PYTHON: "C:\\Python36-x64"
      PYTHON_VERSION: "3.6"
      RUN: "%PYTHON%\\python"
      PIP: "%PYTHON%\\Scripts\\pip"
      COV: "%PYTHON%\\Scripts\\coverage"

    # - PYTHON_VERSION: "pypy2"
    #   RUN: "%APPVEYOR_BUILD_FOLDER%\\pypy-4.0.1-win32\\pypy"
    #   PIP: "%RUN% -m pip"
    #   PYPY: 'powershell.exe %APPVEYOR_BUILD_FOLDER%\\.scripts\\installpypy2.ps1'
    #   COV: "%RUN% -m coverage"

    # - PYTHON_VERSION: "pypy3"
    #   RUN: "%APPVEYOR_BUILD_FOLDER%\\pypy3-2.4.0-win32\\pypy"
    #   PIP: "%RUN% -m pip"
    #   PYPY: "powershell.exe %APPVEYOR_BUILD_FOLDER%\\.scripts\\installpypy3.ps1"
    #   COV: "%RUN% -m coverage"

    - NODE: "4"
      NODE_COMPAT: "test"
    - NODE: "5"
    - NODE: "6"
    - NODE: "7"

matrix:
  allow_failures:
    - PYTHON_VERSION: "pypy2"
    - PYTHON_VERSION: "pypy3"

test: off

build_script:
  - .scripts\\appveyor_script.bat

artifacts:
  - path: '**\*.whl'
    name: Wheel
